## org.eclipse.m2m.atl.profiler.ui.executionviewer.view
Class ExecutionView

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.m2m.atl.profiler.ui.executionviewer.view.ExecutionView

All Implemented Interfaces:
  java.util.EventListener, java.util.Observer, org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.IPersistable, org.eclipse.ui.ISelectionListener, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class ExecutionView

extends org.eclipse.ui.part.ViewPart
implements java.util.Observer, org.eclipse.ui.ISelectionListener

The execution view.

Field Summary
`static java.lang.String` `ID` The execution view id.

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`ExecutionView()` The constructor.

Method Summary
`void` `createPartControl(org.eclipse.swt.widgets.Composite parent)` This is a callback that will allow us to create the treeViewer and initialize it.
`void` `dispose()`
`static boolean` `isShowCallTree()`
`static boolean` `isShowResolvContextInlabel()`
`void` `selectionChanged(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)`
`void` `setFocus()` Passing the focus request to the treeViewer's control.
`void` `setInput(java.lang.Object arg)` Sets the view input.
`void` `update(java.util.Observable o, java.lang.Object arg)`

Methods inherited from class org.eclipse.ui.part.ViewPart
`checkSite, getViewSite, init, init, saveState, setContentDescription, setInitializationData, setPartName`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, firePropertyChange, getAdapter, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### ID

    public static final java.lang.String ID

  The execution view id.

  See Also:
    Constant Field Values

Constructor Detail

### ExecutionView

    public ExecutionView()

  The constructor.

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `dispose` in class `org.eclipse.ui.part.WorkbenchPart`
  See Also:
    `WorkbenchPart.dispose()`

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

  This is a callback that will allow us to create the treeViewer and initialize it.

  Specified by:
    `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
  Specified by:
    `createPartControl` in class `org.eclipse.ui.part.WorkbenchPart`
  See Also:
    `WorkbenchPart.createPartControl(org.eclipse.swt.widgets.Composite)`

### setFocus

    public void setFocus()

  Passing the focus request to the treeViewer's control.

  Specified by:
    `setFocus` in interface `org.eclipse.ui.IWorkbenchPart`
  Specified by:
    `setFocus` in class `org.eclipse.ui.part.WorkbenchPart`

### setInput

    public void setInput(java.lang.Object arg)

  Sets the view input.

  Parameters:
    `arg` - the input

### update

    public void update(java.util.Observable o,
                       java.lang.Object arg)

  Specified by:
    `update` in interface `java.util.Observer`
  See Also:
    `Observer.update(java.util.Observable, java.lang.Object)`

### selectionChanged

    public void selectionChanged(org.eclipse.ui.IWorkbenchPart part,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.ISelectionListener`
  See Also:
    `ISelectionListener.selectionChanged(org.eclipse.ui.IWorkbenchPart, org.eclipse.jface.viewers.ISelection)`

### isShowCallTree

    public static boolean isShowCallTree()

### isShowResolvContextInlabel

    public static boolean isShowResolvContextInlabel()

Copyright 2007 IBM Corporation and others. All Rights Reserved.